--------------------------------------
-- XOR gate 
--------------------------------------

library ieee;
use ieee.std_logic_1164.all;

--------------------------------------

entity XOR_gate is
port(	a,b: in std_logic := '0';
	    y: buffer std_logic;
	    z: out std_logic
);
end entity;  

--------------------------------------

architecture rtl of XOR_gate is
begin
  
    y <= (a and not b) or (not a and b);
    z <= not (y and b);
end rtl;

